# -*- rpm-spec -*-
# $Id: syslinux,v 1.8 2003/11/27 16:07:48 grigory Exp $

Name: syslinux
Version: 2.06
Release: alt1

Summary: Simple kernel loader which boots from a FAT filesystem
License: BSD
Group: System/Kernel and hardware

Source0: %name-%version.tar.bz2
Patch0: %name-%version.patch.bz2
BuildPrereq: nasm perl-base

# Automatically added by buildreq on Mon Aug 18 2003
BuildRequires: nasm

%description
Syslinux is a simple kernel loader. It normally loads the kernel (and an 
optional initrd image) from a FAT filesystem. It can also be used as a
PXE bootloader during network boots.

%package devel
Summary: Simple kernel loader which boots from a FAT filesystem, devel path
Group: System/Kernel and hardware
Requires: %name = %version

%description devel
Read main packages description 

%prep
%setup -q
%patch0 -p0
%__subst 's|\(libsyslinux.a \)syslinux.exe|\1|' Makefile
%__subst 's|\(./add_crc\)|%__perl ./add_crc|g' Makefile

%build
%make_build

%install
%__install -d -m0755 %buildroot%_bindir
%make_install \
	INSTALLDIR=%buildroot \
	INSTALLROOT=%buildroot \
	BINDIR=%_bindir \
	INCDIR=%_includedir/ \
	LIBDIR=%_libdir install install-lib

%files
%doc NEWS README *.doc COPYING
%dir %_libdir/%name
%_bindir/*
%_libdir/%name
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.a
%_libdir/*.so

%changelog
* Thu Nov 27 2003 Grigory Milev <week@altlinux.ru> 2.06-alt1
- new version released
- added gfx patch from SUSE 

* Mon Aug 18 2003 Grigory Milev <week@altlinux.ru> 2.05-alt1
- new version released

* Fri Nov 29 2002 Grigory Milev <week@altlinux.ru> 2.00-alt1
- new version released

* Wed Oct  2 2002 Grigory Milev <week@altlinux.ru> 1.76-alt1
- new version released

* Wed Oct  2 2002 Grigory Milev <week@altlinux.ru> 1.52-alt1
- ALT Linux adaptation

* Tue Jan 29 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.52-1aw
- AW adaptations

* Sat Feb 10 2001 Matt Wilson <msw@redhat.com>
- 1.52

* Wed Jan 24 2001 Matt Wilson <msw@redhat.com>
- 1.51pre7

* Mon Jan 22 2001 Matt Wilson <msw@redhat.com>
- 1.51pre5

* Fri Jan 19 2001 Matt Wilson <msw@redhat.com>
- 1.51pre3, with e820 detection

* Tue Dec 12 2000 Than Ngo <than@redhat.com>
- rebuilt with fixed fileutils

* Thu Nov 9 2000 Than Ngo <than@redhat.com>
- update to 1.49
- update ftp site
- clean up specfile
- add some useful documents

* Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- add %%defattr (release 4)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jul 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath}
- change application group (Applications/Internet doesn't seem
  right to me)
- added BuildRequires

* Tue Apr 04 2000 Erik Troan <ewt@redhat.com>
- initial packaging


